function populate() {
    if(quiz.isEnded()) {
        showScores();
    }
    else {
        // show question
        var element = document.getElementById("question");
        element.innerHTML = quiz.getQuestionIndex().text;

        // show options
        var choices = quiz.getQuestionIndex().choices;
        for(var i = 0; i < choices.length; i++) {
            var element = document.getElementById("choice" + i);
            element.innerHTML = choices[i];
            guess("btn" + i, choices[i]);
        }

        showProgress();
    }
};

function guess(id, guess) {
    var button = document.getElementById(id);
    button.onclick = function() {
        quiz.guess(guess);
        populate();
    }
};


function showProgress() {
    var currentQuestionNumber = quiz.questionIndex + 1;
    var element = document.getElementById("progress");
    element.innerHTML = "Question " + currentQuestionNumber + " of " + quiz.questions.length;
};

function showScores() {
    var gameOverHTML = "<h1>Result</h1>";
    gameOverHTML += "<h2 id='score'> Your score: " + quiz.score + "/5</h2> <br> <a href='quiz.html'> <button type='button' class='button2' name='button'>Try Again</button> </a>";
    var element = document.getElementById("quiz");
    element.innerHTML = gameOverHTML;
};

// create questions
var questions = [
    new Question("Wann war der D-Day?", ["6 Juni 1944", "12 Juni 1944","12 Juni 1943", "6 Juni 1943"], "6 Juni 1944"),
    new Question("Unter welchem Namen lief der D-Day?", ["Operation Overlord", "Operation Neptune", "Operation Normandie", "Operation Determine"], "Operation Neptune"),
    new Question("Durch welche Eroberung endete die Operation Overlord?", ["Calais", "Utah Beach","Verrières", "Paris"], "Paris"),
    new Question("Wer war nicht an der Teheran Konferenz dabei?", ["Josef Stalin", "Winston Churchill", "Franklin D.Roosevelt", "Benito Mussolini"], "Benito Mussolini"),
    new Question("Durch welchen Angriff ist die USA in den 2. Weltkrieg eingetreten?", ["Deutschland", "Japan", "Italien", "Frankreich"], "Japan")
];

// create quiz
var quiz = new Quiz(questions);

// display quiz
populate();
